---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# API status codes

The following table is an exhaustive list of all error response codes that the API may return. The responses are structured by API endpoints, `/rate_limit`,` /users`, `/billing`, and so on.

[block:parameters]
{
  "data": {
    "h-0": "Code",
    "h-1": "HTTP status codes",
    "h-2": "Description",
    "0-0": "**0xxx**",
    "0-1": "",
    "0-2": "**CGC maintenance errors**",
    "1-0": "<a name=\"0\">0</a>",
    "1-1": "503 Service Unavavailable",
    "1-2": "CGC is currently under maintenance.",
    "2-0": "",
    "2-1": "",
    "2-2": "",
    "3-0": "**1xxx**",
    "3-1": "",
    "3-2": "**General errors**",
    "4-0": "<a name=\"1000\">1000</a>",
    "4-1": "429 Too Many Requests",
    "4-2": "Rate limit exceeded! Check response headers.",
    "5-0": "",
    "5-1": "",
    "5-2": "",
    "6-0": "**2xxx:**",
    "6-1": "",
    "6-2": "**User errors**",
    "7-0": "<a name=\"2000\">2000</a>",
    "7-1": "503 Service Unavavailable",
    "7-2": "User service is currently unavailable.",
    "8-0": "<a name=\"2001\">2001</a>",
    "8-1": "403 Forbidden",
    "8-2": "Not enough privileges to access requested user info.",
    "9-0": "<a name=\"2002\">2002</a>",
    "9-1": "404 Not Found",
    "9-2": "Requested user does not exist.",
    "10-0": "<a name=\"2003\">2003</a>",
    "10-1": "409 Conflict",
    "10-2": "Requested user already exists.",
    "11-0": "<a name=\"2003\">2003</a>",
    "11-1": "",
    "11-2": "",
    "12-0": "<a name=\"2105\">2105</a>",
    "12-1": "400 Bad Request",
    "12-2": "Please specify the division you are listing the users or teams for.",
    "13-0": "",
    "13-1": "",
    "13-2": "",
    "14-0": "**3xxx:**",
    "14-1": "",
    "14-2": "**Projects errors**",
    "15-0": "<a name=\"3000\">3000</a>",
    "15-1": "503 Service Unavavailable",
    "15-2": "Project service is currently unavailable.",
    "16-0": "<a name=\"3001\">3001</a>",
    "16-1": "403 Forbidden",
    "16-2": "Not enough privileges to access the requested project/member.",
    "17-0": "<a name=\"3002\">3002</a>",
    "17-1": "404 Not Found",
    "17-2": "Requested project or member does not exist.",
    "18-0": "<a name=\"3003\">3003</a>",
    "18-1": "409 Conflict",
    "18-2": "Requested project/member already exists",
    "19-0": "<a name=\"3004\">3004</a>",
    "19-1": "400 Bad Request",
    "19-2": "Owner's username must not be null or empty string.",
    "20-0": "<a name=\"3005\">3005</a>",
    "20-1": "400 Bad Request",
    "20-2": "Member username must not be null or empty string.",
    "21-0": "<a name=\"3006\">3006</a>",
    "21-1": "400 Bad Request",
    "21-2": "Project id must not be null or an empty string.",
    "22-0": "<a name=\"3007\">3007</a>",
    "22-1": "400 Bad Request",
    "22-2": "Project name must not be null or empty string.",
    "23-0": "<a name=\"3008\">3008</a>",
    "23-1": "400 Bad Request",
    "23-2": "Billing group id must not be null or empty string",
    "24-0": "<a name=\"3009\">3009</a>",
    "24-1": "400 Bad Request",
    "24-2": "Project type must not be null or empty string.",
    "25-0": "<a name=\"3010\">3010</a>",
    "25-1": "400 Bad Request",
    "25-2": "Project type can be either v2 for standard projects or v1 for LEGACY projects",
    "26-0": "<a name=\"3011\">3011</a>",
    "26-1": "400 Bad Request",
    "26-2": "Project permissions must not null or an empty value",
    "27-0": "<a name=\"3012\">3012</a>",
    "27-1": "400 Bad Request",
    "27-2": "Malformed project id. Expecting `owner/project`",
    "28-0": "<a name=\"3013\">3013</a>",
    "28-1": "400 Bad Request",
    "28-2": "Please provide all permissions data.",
    "29-0": "",
    "29-1": "",
    "29-2": "",
    "30-0": "**4xxx**",
    "30-1": "",
    "30-2": "**Billing errors**",
    "31-0": "<a name=\"4000\">4000</a>",
    "31-1": "503 Service Unavavailable",
    "31-2": "Billing service is currently unavailable.",
    "32-0": "<a name=\"4001\">4001</a>",
    "32-1": "403 Forbidden",
    "32-2": "Insufficient privileges to access the requested billing group/invoice.",
    "33-0": "<a name=\"4002\">4002</a>",
    "33-1": "404 Not Found",
    "33-2": "Requested billing group/invoice does not exist.",
    "34-0": "<a name=\"4003\">4003</a>",
    "34-1": "409 Conflict",
    "34-2": "Requested billing group/invoice already exist.",
    "35-0": "<a name=\"4004\">4004</a>",
    "35-1": "400 Bad Request",
    "35-2": "Billing group id must not be null or an empty string.",
    "36-0": "<a name=\"4005\">4005</a>",
    "36-1": "400 Bad Request",
    "36-2": "Billing group id must be a valid UUID.",
    "37-0": "<a name=\"4006\">4006</a>",
    "37-1": "403 Forbidden",
    "37-2": "You are not a member of this billing group.",
    "38-0": "<a name=\"4007\">4007</a>",
    "38-1": "400 Bad Request",
    "38-2": "Invoice id must not be null or an empty string.",
    "39-0": "",
    "39-1": "",
    "39-2": "",
    "40-0": "**5xxx**",
    "40-1": "",
    "40-2": "**Files errors**",
    "41-0": "<a name=\"5000\">5000</a>",
    "41-1": "503 Service Unavavailable",
    "41-2": "File service is currently unavailable.",
    "42-0": "<a name=\"5001\">5001</a>",
    "42-1": "403 Forbidden",
    "42-2": "Insufficient privileges to access the requested file.",
    "43-0": "<a name=\"5002\">5002</a>",
    "43-1": "404 Not Found",
    "43-2": "Requested file does not exist.",
    "44-0": "<a name=\"5003\">5003</a>",
    "44-1": "409 Conflict",
    "44-2": "Requested file already exists.",
    "45-0": "<a name=\"5004\">5004</a>",
    "45-1": "400 Bad Request",
    "45-2": "File id must not be null or an empty string.",
    "46-0": "<a name=\"5005\">5005</a>",
    "46-1": "400 Bad Request",
    "46-2": "Malformed project query parameter. Expecting `?project=owner/project`",
    "47-0": "<a name=\"5006\">5006</a>",
    "47-1": "400 Bad Request",
    "47-2": "Metadata validation failed.",
    "48-0": "<a name=\"5007\">5007</a>",
    "48-1": "400 Bad Request",
    "48-2": "File copy failed.",
    "49-0": "<a name=\"5008\">5008</a>",
    "49-1": "403 Forbidden",
    "49-2": "File renaming not allowed.",
    "50-0": "<a name=\"5009\">5009</a>",
    "50-1": "403 Forbidden",
    "50-2": "Modifying metadata is not allowed.",
    "51-0": "<a name=\"5010\">5010</a>",
    "51-1": "503 Service Unavavailable",
    "51-2": "Metadata service is currently unavailable.",
    "52-0": "<a name=\"5011\">5011</a>",
    "52-1": "403 Forbidden",
    "52-2": "Modifying file tags is not allowed.",
    "53-0": "<a name=\"5012\">5012</a>",
    "53-1": "400 Bad Request",
    "53-2": "Invalid \"type\" supplied. Allowed values: [folder].",
    "54-0": "<a name=\"5014\">5014</a>",
    "54-1": "403 Forbidden",
    "54-2": "Insufficient privileges to copy the requested file.",
    "55-0": "<a name=\"5015\">5015</a>",
    "55-1": "400 Bad Request",
    "55-2": "Moving files between projects is not supported.",
    "56-0": "<a name=\"5017\">5017</a>",
    "56-1": "400 Bad Request",
    "56-2": "Downloading folders is not supported.",
    "57-0": "<a name=\"5018\">5018</a>",
    "57-1": "400 Bad Request",
    "57-2": "Copying folders is not supported.",
    "58-0": "<a name=\"5019\">5019</a>",
    "58-1": "400 Bad Request",
    "58-2": "Archiving folders is not supported.",
    "59-0": "<a name=\"5020\">5020</a>",
    "59-1": "400 Bad Request",
    "59-2": "Restoring folders is not supported.",
    "60-0": "<a name=\"5021\">5021</a>",
    "60-1": "400 Bad Request",
    "60-2": "Deleting non-empty folders is not supported.",
    "61-0": "<a name=\"5022\">5022</a>",
    "61-1": "400 Bad Request",
    "61-2": "The parent specified is not a folder.",
    "62-0": "<a name=\"5023\">5023</a>",
    "62-1": "400 Bad Request",
    "62-2": "Updating folder details is not supported.",
    "63-0": "<a name=\"5024\">5024</a>",
    "63-1": "400 Bad Request",
    "63-2": "Invalid name parameter. Check the documentation.",
    "64-0": "<a name=\"5025\">5025</a>",
    "64-1": "400 Bad Request",
    "64-2": "Updating folder metadata is not supported.",
    "65-0": "<a name=\"5026\">5026</a>",
    "65-1": "404 Not Found",
    "65-2": "Destination folder is not found.",
    "66-0": "<a name=\"5027\">5027</a>",
    "66-1": "400 Bad Request",
    "66-2": "Updating folder tags is not supported.",
    "67-0": "<a name=\"5029\">5029</a>",
    "67-1": "400 Bad Request",
    "67-2": "Missing \"parent\" or \"project\" field. These fields must be included together.",
    "68-0": "<a name=\"5030\">5030</a>",
    "68-1": "409 Conflict",
    "68-2": "Requested folder already exists.",
    "69-0": "<a name=\"5031\">5031</a>",
    "69-1": "400 Bad Request",
    "69-2": "Providing both \"parent\" and \"project\" is not allowed.",
    "70-0": "<a name=\"5032\">5032</a>",
    "70-1": "403 Forbidden",
    "70-2": "Insufficient privileges to move the requested file.",
    "71-0": "<a name=\"5033\">5033</a>",
    "71-1": "400 Bad Request",
    "71-2": "Invalid request please check the documentation.",
    "72-0": "<a name=\"5034\">5034</a>",
    "72-1": "409 Conflict",
    "72-2": "Downloading files from an inactive volume is not supported.",
    "73-0": "<a name=\"5035\">5035</a>",
    "73-1": "400 Bad Request",
    "73-2": "Key must not be null or an empty string.",
    "74-0": "",
    "74-1": "",
    "74-2": "",
    "75-0": "**6xxx**",
    "75-1": "",
    "75-2": "**Apps errors**",
    "76-0": "<a name=\"6000\">6000</a>",
    "76-1": "503 Service Unavavailable",
    "76-2": "App service is currently unavailable.",
    "77-0": "<a name=\"6001\">6001</a>",
    "77-1": "403 Forbidden",
    "77-2": "Insufficient privileges to access the requested app/revision.",
    "78-0": "<a name=\"6002\">6002</a>",
    "78-1": "404 Not Found",
    "78-2": "Requested app/revision does not exist.",
    "79-0": "<a name=\"6003\">6003</a>",
    "79-1": "409 Conflict",
    "79-2": "Requested app/revision already exists.",
    "80-0": "<a name=\"6004\">6004</a>",
    "80-1": "400 Bad Request",
    "80-2": "App name must not be null or an empty string.",
    "81-0": "<a name=\"6006\">6006</a>",
    "81-1": "400 Bad Request",
    "81-2": "Project owner must not be null or an empty string.",
    "82-0": "<a name=\"6007\">6007</a>",
    "82-1": "400 Bad Request",
    "82-2": "Project must not be null or an empty string.",
    "83-0": "<a name=\"6008\">6008</a>",
    "83-1": "400 Bad Request",
    "83-2": "App revision must not be null or an empty string.",
    "84-0": "<a name=\"6009\">6009</a>",
    "84-1": "400 Bad Request",
    "84-2": "Destination project must not be null or an empty string.",
    "85-0": "<a name=\"6010\">6010</a>",
    "85-1": "400 Bad Request",
    "85-2": "Source app must not be null or an empty string.",
    "86-0": "<a name=\"6011\">6011</a>",
    "86-1": "400 Bad Request",
    "86-2": "Malformed app id. Expecting `owner/project/app_name/revision`.",
    "87-0": "<a name=\"6012\">6012</a>",
    "87-1": "400 Bad Request",
    "87-2": "Invalid visibility query parameter. Allowed values: [`PUBLIC`,` PRIVATE`].",
    "88-0": "",
    "88-1": "",
    "88-2": "",
    "89-0": "**7xxx**",
    "89-1": "",
    "89-2": "**Tasks errors**",
    "90-0": "<a name=\"7000\">7000</a>",
    "90-1": "503 Service Unavailable",
    "90-2": "Task service is currently unavailable.",
    "91-0": "<a name=\"7001\">7001</a>",
    "91-1": "403 Forbidden",
    "91-2": "Insufficient privileges to access the requested task.",
    "92-0": "<a name=\"7002\">7002</a>",
    "92-1": "404 Not Found",
    "92-2": "Requested task does not exist.",
    "93-0": "<a name=\"7003\">7003</a>",
    "93-1": "409 Conflict",
    "93-2": "Requested task already exists.",
    "94-0": "<a name=\"7004\">7004</a>",
    "94-1": "400 Bad Request",
    "94-2": "Task ID must not be empty or null or an empty string.",
    "95-0": "<a name=\"7005\">7005</a>",
    "95-1": "400 Bad Request",
    "95-2": "Task ID must be a valid UUID.",
    "96-0": "<a name=\"7006\">7006</a>",
    "96-1": "400 Bad Request",
    "96-2": "Invalid task status. Allowed values: [`QUEUED`, `DRAFT`, `RUNNING`, `COMPLETED`, `ABORTED`, `ABORTING`, `FAILED`]",
    "97-0": "<a name=\"7007\">7007</a>",
    "97-1": "403 Forbidden",
    "97-2": "This action is only available for `DRAFT` tasks.",
    "98-0": "<a name=\"7008\">7008</a>",
    "98-1": "403 Forbidden",
    "98-2": "This action is only available for `RUNNING` tasks.",
    "99-0": "<a name=\"7009\">7009</a>",
    "99-1": "400 Bad Request",
    "99-2": "Invalid task action. Action can be performed only on `DRAFT` or `RUNNING` tasks.",
    "100-0": "<a name=\"7010\">7010</a>",
    "100-1": "400 Bad Request",
    "100-2": "Invalid task action. Action can be performed on `DRAFT` tasks.",
    "101-0": "<a name=\"7011\">7011</a>",
    "101-1": "400 Bad Request",
    "101-2": "Invalid task action. Action can be performed on tasks in the states: `CREATING`, `RUNNING` or `QUEUED`.",
    "102-0": "<a name=\"7012\">7012</a>",
    "102-1": "400 Bad Request",
    "102-2": "Missing inputs.",
    "103-0": "<a name=\"7013\">7013</a>",
    "103-1": "400 Bad Request",
    "103-2": "Invalid task action.",
    "104-0": "<a name=\"7014\">7014</a>",
    "104-1": "400 Bad Request",
    "104-2": "Action parameter must not be null or an empty string.",
    "105-0": "<a name=\"7015\">7015</a>",
    "105-1": "400 Bad Request",
    "105-2": "App Id must not be null or an empty string.",
    "106-0": "<a name=\"7016\">7016</a>",
    "106-1": "400 Bad Request",
    "106-2": "Invalid app url.",
    "107-0": "<a name=\"7017\">7017</a>",
    "107-1": "400 Bad Request",
    "107-2": "Only Common Workflow Language (CWL) tasks are supported.",
    "108-0": "<a name=\"7018\">7018</a>",
    "108-1": "400 Bad Request",
    "108-2": "Batch input property should reference input identifier or omitted. Empty value is not allowed.",
    "109-0": "<a name=\"7019\">7019</a>",
    "109-1": "400 Bad Request",
    "109-2": "Missing batch criteria.",
    "110-0": "<a name=\"7020\">7020</a>",
    "110-1": "400 Bad Request",
    "110-2": "Invalid batch type supplied. Allowed values: `[criteria, item]`.",
    "111-0": "<a name=\"7021\">7021</a>",
    "111-1": "400 Bad Request",
    "111-2": "Batching can only be disabled if the task is submitted for execution.",
    "112-0": "<a name=\"7022\">7022</a>",
    "112-1": "400 Bad Request",
    "112-2": "Disabling batching action is only available for `BATCH` tasks.",
    "113-0": "<a name=\"7023\">7023</a>",
    "113-1": "400 Bad Request",
    "113-2": "Missing `batch_by` or `batch_input` fields. These fields must be included together.",
    "114-0": "<a name=\"7024\">7024</a>",
    "114-1": "400 Bad Request",
    "114-2": "Task can not be started due to validation errors.",
    "115-0": "<a name=\"7026\">7026</a>",
    "115-1": "403 Forbidden",
    "115-2": "Editing is available only for tasks which are in `DRAFT` status.  \nTasks which are in `RUNNING` and `COMPLETED` states can only be renamed.",
    "116-0": "",
    "116-1": "",
    "116-2": "",
    "117-0": "**8xxx**",
    "117-1": "",
    "117-2": "**Upload errors**",
    "118-0": "<a name=\"8000\">8000</a>",
    "118-1": "503 Service Unavavailable",
    "118-2": "Upload service is currently unavailable.",
    "119-0": "<a name=\"8001\">8001</a>",
    "119-1": "403 Forbidden",
    "119-2": "Insufficient privileges to access the requested upload.",
    "120-0": "<a name=\"8002\">8002</a>",
    "120-1": "403 Forbidden",
    "120-2": "Insufficient privileges to access the requested file.",
    "121-0": "<a name=\"8003\">8003</a>",
    "121-1": "404 Not Found",
    "121-2": "Requested upload does not exist.",
    "122-0": "<a name=\"8004\">8004</a>",
    "122-1": "404 Not Found",
    "122-2": "Requested file does not exist",
    "123-0": "<a name=\"8005\">8005</a>",
    "123-1": "409 Conflict",
    "123-2": "Requested file already exists",
    "124-0": "<a name=\"8006\">8006</a>",
    "124-1": "409 Conflict",
    "124-2": "Requested upload already exists.",
    "125-0": "<a name=\"8007\">8007</a>",
    "125-1": "409 Conflict",
    "125-2": "Failed to complete upload.",
    "126-0": "<a name=\"8008\">8008</a>",
    "126-1": "409 Conflict",
    "126-2": "Failed to reserve part for upload. Try again.",
    "127-0": "<a name=\"8009\">8009</a>",
    "127-1": "409 Conflict",
    "127-2": "Failed to abort upload.",
    "128-0": "<a name=\"8010\">8010</a>",
    "128-1": "400 Bad Request",
    "128-2": "Malformed project id. Expecting `owner/project`.",
    "129-0": "<a name=\"8011\">8011</a>",
    "129-1": "400 Bad Request",
    "129-2": "Upload id must not be null or an empty string.",
    "130-0": "<a name=\"8012\">8012</a>",
    "130-1": "400 Bad Request",
    "130-2": "Part number is missing or invalid.",
    "131-0": "<a name=\"8013\">8013</a>",
    "131-1": "400 Bad Request",
    "131-2": "Invalid `init` request.",
    "132-0": "<a name=\"8014\">8014</a>",
    "132-1": "400 Bad Request",
    "132-2": "Invalid `part` report.",
    "133-0": "<a name=\"8015\">8015</a>",
    "133-1": "400 Bad Request",
    "133-2": "Invalid list of parts. Expecting an object with \"parts\": [ array of part reports ].",
    "134-0": "",
    "134-1": "",
    "134-2": "",
    "135-0": "**9xxx**",
    "135-1": "",
    "135-2": "**Volumes errors**",
    "136-0": "<a name=\"9000\">9000</a>",
    "136-1": "503 Service Unavailable",
    "136-2": "There was an error communicating with the service.",
    "137-0": "<a name=\"9001\">9001</a>",
    "137-1": "403 Forbidden",
    "137-2": "Could not obtain read access on the service.",
    "138-0": "<a name=\"9002\">9002</a>",
    "138-1": "403 Forbidden",
    "138-2": "Could not obtain cross-write access on the service.",
    "139-0": "<a name=\"9003\">9003</a>",
    "139-1": "403 Forbidden",
    "139-2": "Insufficient privileges to access the requested project.",
    "140-0": "<a name=\"9004\">9004</a>",
    "140-1": "403 Forbidden",
    "140-2": "Insufficient privileges to access the requested file.",
    "141-0": "<a name=\"9005\">9005</a>",
    "141-1": "403 Forbidden",
    "141-2": "Insufficient privileges to access the requested job.",
    "142-0": "<a name=\"9006\">9006</a>",
    "142-1": "403 Forbidden",
    "142-2": "Requested file cannot be exported.",
    "143-0": "<a name=\"9007\">9007</a>",
    "143-1": "404 Not Found",
    "143-2": "Requested volume does not exist.",
    "144-0": "<a name=\"9008\">9008</a>",
    "144-1": "404 Not Found",
    "144-2": "Requested job does not exist.",
    "145-0": "<a name=\"9009\">9009</a>",
    "145-1": "404 Not Found",
    "145-2": "Requested file does not exist.",
    "146-0": "<a name=\"9010\">9010</a>",
    "146-1": "409 Conflict",
    "146-2": "Requested volume name already exists.",
    "147-0": "<a name=\"9011\">9011</a>",
    "147-1": "400 Bad Request",
    "147-2": "Invalid request syntax. Check the documentation.",
    "148-0": "<a name=\"9012\">9012</a>",
    "148-1": "400 Bad Request",
    "148-2": "Requested project does not exist.",
    "149-0": "<a name=\"9013\">9013</a>",
    "149-1": "400 Bad Request",
    "149-2": "Volume name must not be null or an empty string.",
    "150-0": "<a name=\"9014\">9014</a>",
    "150-1": "400 Bad Request",
    "150-2": "Volume name must consist of up to 32 English letters, numbers and underscores.",
    "151-0": "<a name=\"9015\">9015</a>",
    "151-1": "400 Bad Request",
    "151-2": "\"access_mode\" must be provided (either \"RO\" or \"RW\").",
    "152-0": "<a name=\"9016\">9016</a>",
    "152-1": "400 Bad Request",
    "152-2": "\"service\" object must be provided.",
    "153-0": "<a name=\"9017\">9017</a>",
    "153-1": "400 Bad Request",
    "153-2": "\"service\" object is invalid. Check the documentation.",
    "154-0": "<a name=\"9018\">9018</a>",
    "154-1": "400 Bad Request",
    "154-2": "Cannot infer file name and none given.",
    "155-0": "<a name=\"9019\">9019</a>",
    "155-1": "400 Bad Request",
    "155-2": "\"service\" object is invalid. Check the documentation.",
    "156-0": "<a name=\"9020\">9020</a>",
    "156-1": "403 Forbidden",
    "156-2": "Insufficient privileges to access the requested volume.",
    "157-0": "<a name=\"9021\">9021</a>",
    "157-1": "400 Bad Request",
    "157-2": "Invalid time format. Check the documentation.",
    "158-0": "<a name=\"9022\">9022</a>",
    "158-1": "400 Bad Request",
    "158-2": "Invalid canned ACL (`aws_canned_acl`) selected. Check the documentation.",
    "159-0": "<a name=\"9023\">9023</a>",
    "159-1": "400 Bad Request",
    "159-2": "Invalid server-side encryption (`sse_algorithm`) selected. Check the documentation.",
    "160-0": "<a name=\"9024\">9024</a>",
    "160-1": "400 Bad Request",
    "160-2": "Invalid S3 storage class (`aws_storage_class`) selected. Check the documentation.",
    "161-0": "<a name=\"9025\">9025</a>",
    "161-1": "400 Bad Request",
    "161-2": "Invalid private key (`private_key`) given. Check the documentation.",
    "162-0": "<a name=\"9026\">9026</a>",
    "162-1": "403 Forbidden",
    "162-2": "The volume is not configured for writing access (`access mode` is not set to `RW`).",
    "163-0": "<a name=\"9027\">9027</a>",
    "163-1": "403 Forbidden",
    "163-2": "Exporting files across different cloud services is not yet supported.",
    "164-0": "<a name=\"9028\">9028</a>",
    "164-1": "403 Forbidden",
    "164-2": "Invalid access configuration given. Check the documentation.",
    "165-0": "<a name=\"9029\">9029</a>",
    "165-1": "400 Bad Request",
    "165-2": "Unrecognized google credential type.",
    "166-0": "<a name=\"9030\">9030</a>",
    "166-1": "400 Bad Request",
    "166-2": "Volume name must consist of no more than 32 alphanumeric characters, that can be separated with single underscores only.",
    "167-0": "<a name=\"9031\">9031</a>",
    "167-1": "400 Bad Request",
    "167-2": "Unrecognized azure credential type.",
    "168-0": "<a name=\"9034\">9034</a>",
    "168-1": "400 Bad Request",
    "168-2": "Unrecognized s3 credential type.",
    "169-0": "<a name=\"9038\">9038</a>",
    "169-1": "403 Forbidden",
    "169-2": "This environment only supports RO buckets of type 'OSS'",
    "170-0": "<a name=\"9039\">9039</a>",
    "170-1": "403 Forbidden",
    "170-2": "This environment only supports RO buckets of type 'Azure'",
    "171-0": "<a name=\"9040\">9040</a>",
    "171-1": "403 Forbidden",
    "171-2": "GCP over EC2 authentication is not allowed",
    "172-0": "<a name=\"9057\">9057</a>",
    "172-1": "403 Forbidden",
    "172-2": "This environment only supports `RO` buckets of type `GCS`.",
    "173-0": "<a name=\"9058\">9058</a>",
    "173-1": "403 Forbidden",
    "173-2": "This environment only supports `RO` buckets of type `S3`.",
    "174-0": "<a name=\"9069\">9069</a>",
    "174-1": "409 Conflict",
    "174-2": "Volume inactive",
    "175-0": "<a name=\"9072\">9072</a>",
    "175-1": "400 Bad Request",
    "175-2": "File path ending with a slash is not valid.",
    "176-0": "<a name=\"9100\">9100</a>",
    "176-1": "503 Service Unavailable",
    "176-2": "There was an error communicating with the service.",
    "177-0": "<a name=\"9101\">9101</a>",
    "177-1": "403 Forbidden",
    "177-2": "The volume is not configured for writing (`access mode` is not set to `RW`).",
    "178-0": "<a name=\"9102\">9102</a>",
    "178-1": "403 Forbidden",
    "178-2": "Insufficient privileges to access the requested project",
    "179-0": "<a name=\"9103\">9103</a>",
    "179-1": "403 Forbidden",
    "179-2": "Insufficient privileges to access the requested item. See the documentation.",
    "180-0": "<a name=\"9104\">9104</a>",
    "180-1": "404 Not found.",
    "180-2": "Requested volume does not exist.",
    "181-0": "<a name=\"9105\">9105</a>",
    "181-1": "404 Not Found",
    "181-2": "Item not found on the volume.",
    "182-0": "<a name=\"9106\">9106</a>",
    "182-1": "404 Not Found",
    "182-2": "Requested file does not exist.",
    "183-0": "<a name=\"9107\">9107</a>",
    "183-1": "409 Conflict",
    "183-2": "Location on volume already contains a file.",
    "184-0": "<a name=\"9108\">9108</a>",
    "184-1": "409 Conflict",
    "184-2": "Requested file already exists.",
    "185-0": "<a name=\"9109\">9109</a>",
    "185-1": "404 Not Found",
    "185-2": "Requested file does not exist or not accessible.",
    "186-0": "<a name=\"9200\">9200</a>",
    "186-1": "404 Not Found",
    "186-2": "Requested cloud storage bucket does not exist.",
    "187-0": "<a name=\"9201\">9201</a>",
    "187-1": "403 Forbidden",
    "187-2": "Provided access key is not valid.",
    "188-0": "<a name=\"9202\">9202</a>",
    "188-1": "403 Forbidden",
    "188-2": "Provided secret key is not valid.",
    "189-0": "<a name=\"9203\">9203</a>",
    "189-1": "403 Forbidden",
    "189-2": "Provided IAM role is not valid or not properly configured.  \nCheck [IAM role setup instructions](https://docs.cancergenomicscloud.org/page/amazon-web-services-simple-storage-service-aws-s3-volumes#set-up-an-iam-role). Learn more about [AWS IAM roles](https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles.html).",
    "190-0": "<a name=\"9204\">9204</a>",
    "190-1": "403 Forbidden",
    "190-2": "The provided IAM user/role does not have permissions to LIST the bucket.  \n  \nThe policy attached to the IAM user/role should have the `s3:ListBucket` permission over `arn:aws:s3:::{bucket_name}`.  \n  \nSee [an example of the policy](https://docs.cancergenomicscloud.org/docs/amazon-web-services-simple-storage-service-aws-s3-volumes#create-a-custom-iam-policy). Learn more about [AWS S3 bucket permissions](https://docs.aws.amazon.com/config/latest/developerguide/s3-bucket-policy.html).",
    "191-0": "<a name=\"9205\">9205</a>",
    "191-1": "403 Forbidden",
    "191-2": "The provided IAM user/role does not have permissions to GET object from the provided bucket.  \n  \nThe policy attached to the IAM user/role should have the  \n`s3:GetObject` permission over `arn:aws:s3:::{bucket_name}/{prefix}/*`.  \n  \nSee [an example of the policy](https://docs.cancergenomicscloud.org/docs/amazon-web-services-simple-storage-service-aws-s3-volumes#create-a-custom-iam-policy). Learn more about [AWS S3 bucket permissions](https://docs.aws.amazon.com/config/latest/developerguide/s3-bucket-policy.html).",
    "192-0": "<a name=\"9206\">9206</a>",
    "192-1": "403 Forbidden",
    "192-2": "The provided IAM user/role does not have permissions to PUT object to the provided bucket.  \n  \nThe policy attached to the IAM user/role should have  \n`s3:PutObject` and `s3:PutObjectAcl` permissions over `arn:aws:s3:::{bucket_name}/{prefix}/*`.  \n  \nSee [an example of the policy](https://docs.cancergenomicscloud.org/docs/amazon-web-services-simple-storage-service-aws-s3-volumes#create-a-custom-iam-policy). Learn more about [AWS S3 bucket permissions](https://docs.aws.amazon.com/config/latest/developerguide/s3-bucket-policy.html).",
    "193-0": "<a name=\"9207\">9207</a>",
    "193-1": "403 Forbidden",
    "193-2": "The provided IAM user/role does not have permissions to GET OBJECT ACL from the provided bucket.  \n  \nThe policy attached to the IAM user/role should have the  \n`s3:GetObjectAcl` permission over `arn:aws:s3:::{bucket_name}/{prefix}/*`.  \n  \nSee [an example of the policy](https://docs.cancergenomicscloud.org/docs/amazon-web-services-simple-storage-service-aws-s3-volumes#create-a-custom-iam-policy). Learn more about [AWS S3 bucket permissions](https://docs.aws.amazon.com/config/latest/developerguide/s3-bucket-policy.html).",
    "194-0": "<a name=\"9208\">9208</a>",
    "194-1": "403 Forbidden",
    "194-2": "The provided IAM user/role does not have permissions to GET object from the Seven Bridges bucket.  \n  \nThe policy attached to the IAM user/role should have the  \n`s3:GetObject` permission over Seven Bridges buckets.  \n  \nSee [an example of the policy](https://docs.cancergenomicscloud.org/docs/amazon-web-services-simple-storage-service-aws-s3-volumes#create-a-custom-iam-policy). Learn more about [AWS S3 bucket permissions](https://docs.aws.amazon.com/config/latest/developerguide/s3-bucket-policy.html).",
    "195-0": "<a name=\"9209\">9209</a>",
    "195-1": "403 Forbidden",
    "195-2": "Cannot attach RW volume in the provided bucket region.",
    "196-0": "",
    "196-1": "",
    "196-2": "",
    "197-0": "**10xxx**",
    "197-1": "",
    "197-2": "**Manifest file errors**",
    "198-0": "<a name=\"10101\">10101</a>",
    "198-1": "400 Bad Request",
    "198-2": "Manifest file is not a valid .csv file.",
    "199-0": "<a name=\"10102\">10102</a>",
    "199-1": "400 Bad Request",
    "199-2": "Invalid manifest file header row format.",
    "200-0": "<a name=\"10105\">10105</a>",
    "200-1": "400 Bad Request",
    "200-2": "Manifest file contains too many rows.",
    "201-0": "<a name=\"10110\">10110</a>",
    "201-1": "400 Bad Request",
    "201-2": "Failed to submit manifest file.",
    "202-0": "<a name=\"10208\">10208</a>",
    "202-1": "403 Forbidden",
    "202-2": "Invalid or missing session ID.",
    "203-0": "<a name=\"10210\">10210</a>",
    "203-1": "403 Forbidden",
    "203-2": "Insufficient privileges on destination.",
    "204-0": "<a name=\"10211\">10211</a>",
    "204-1": "404 Not found",
    "204-2": "Job with provided id not found.",
    "205-0": "<a name=\"10212\">10212</a>",
    "205-1": "405 Method not allowed",
    "205-2": "Resource not found.",
    "206-0": "<a name=\"10213\">10213</a>",
    "206-1": "404 Not found",
    "206-2": "Destination path not found.",
    "207-0": "<a name=\"10214\">10214</a>",
    "207-1": "405 Method not allowed",
    "207-2": "The requested resource does not support wanted http method.",
    "208-0": "<a name=\"10215\">10215</a>",
    "208-1": "503 Service Unavavailable",
    "208-2": "External resource unavailable.",
    "209-0": "<a name=\"10216\">10216</a>",
    "209-1": "409 Conflict",
    "209-2": "Job is already hidden.",
    "210-0": "<a name=\"10217\">10217</a>",
    "210-1": "422 Unprocessable entity",
    "210-2": "Unprocessable json error.",
    "211-0": "<a name=\"10218\">10218</a>",
    "211-1": "422 Unprocessable entity",
    "211-2": "Unprocessable json - end of file.",
    "212-0": "<a name=\"10220\">10220</a>",
    "212-1": "503 Service Unavavailable",
    "212-2": "Unexpected error occurred.",
    "213-0": "<a name=\"10221\">10221</a>",
    "213-1": "403 Forbidden",
    "213-2": "Insufficient privileges to access the requested destination.",
    "214-0": "<a name=\"10222\">10222</a>",
    "214-1": "404 Not found",
    "214-2": "Requested folder does not exist.",
    "215-0": "<a name=\"10223\">10223</a>",
    "215-1": "409 Conflict",
    "215-2": "Requested file already exists.",
    "216-0": "<a name=\"10224\">10224</a>",
    "216-1": "409 Conflict",
    "216-2": "Requested folder already exists.",
    "217-0": "<a name=\"10225\">10225</a>",
    "217-1": "404 Not found",
    "217-2": "Submitted source does not exist.",
    "218-0": "<a name=\"10226\">10226</a>",
    "218-1": "403 Forbidden",
    "218-2": "Insufficient privileges to access the requested source.",
    "219-0": "<a name=\"10227\">10227</a>",
    "219-1": "400 Bad Request",
    "219-2": "Destination path must be a folder.",
    "220-0": "<a name=\"10228\">10228</a>",
    "220-1": "400 Bad Request",
    "220-2": "Destination for source is missing.",
    "221-0": "<a name=\"10229\">10229</a>",
    "221-1": "400 Bad Request",
    "221-2": "Cannot copy to parent directory.",
    "222-0": "<a name=\"10230\">10230</a>",
    "222-1": "400 Bad Request",
    "222-2": "Sources cannot be empty or null.",
    "223-0": "<a name=\"10231\">10231</a>",
    "223-1": "400 Bad Request",
    "223-2": "There are duplicate sources.",
    "224-0": "<a name=\"10232\">10232</a>",
    "224-1": "400 Bad Request",
    "224-2": "Invalid request syntax. Check the documentation.",
    "225-0": "<a name=\"10233\">10233</a>",
    "225-1": "400 Bad Request",
    "225-2": "Provide full paths instead of file IDs.",
    "226-0": "<a name=\"10234\">10234</a>",
    "226-1": "400 Bad Request",
    "226-2": "List of paths for query deleting state is empty.",
    "227-0": "<a name=\"10235\">10235</a>",
    "227-1": "400 Bad Request",
    "227-2": "Invalid file name.",
    "228-0": "<a name=\"10236\">10236</a>",
    "228-1": "400 Bad Request",
    "228-2": "Invalid folder name.",
    "229-0": "<a name=\"10246\">10246</a>",
    "229-1": "400 Bad Request",
    "229-2": "Invalid file import uri.",
    "230-0": "<a name=\"10248\">10248</a>",
    "230-1": "400 Bad Request",
    "230-2": "Invalid metadata.",
    "231-0": "<a name=\"10276\">10276</a>",
    "231-1": "400 Bad Request",
    "231-2": "Malformed DRS bundle.",
    "232-0": "<a name=\"10277\">10277</a>",
    "232-1": "400 Bad Request",
    "232-2": "Empty bundle name.",
    "233-0": "<a name=\"10278\">10278</a>",
    "233-1": "400 Bad Request",
    "233-2": "Malformed DRS blob.",
    "234-0": "<a name=\"10371\">10371</a>",
    "234-1": "429 Too Many Requests",
    "234-2": "Rate limit exceeded.",
    "235-0": "<a name=\"10372\">10372</a>",
    "235-1": "409 Conflict",
    "235-2": "Conflict while importing file or bundle.",
    "236-0": "",
    "236-1": "",
    "236-2": "",
    "237-0": "**13xxx**",
    "237-1": "",
    "237-2": "",
    "238-0": "<a name=\"13000\">13000</a>",
    "238-1": "503 Service Unavailable",
    "238-2": "Search service is currently unavailable.",
    "239-0": "<a name=\"13001\">13001</a>",
    "239-1": "403 Forbidden",
    "239-2": "Insufficient privileges to access the requested file.",
    "240-0": "<a name=\"13002\">13002</a>",
    "240-1": "404 Not Found",
    "240-2": "Requested file does not exist.",
    "241-0": "<a name=\"13003\">13003</a>",
    "241-1": "409 Conflict",
    "241-2": "Requested file already exists.",
    "242-0": "<a name=\"13004\">13004</a>",
    "242-1": "503 Service Unavailable",
    "242-2": "Consistency has been violated, please retry.",
    "243-0": "",
    "243-1": "",
    "243-2": "",
    "244-0": "**57xxx**",
    "244-1": "",
    "244-2": "**Bulk file system operations**",
    "245-0": "<a name=\"57000\">57000</a>",
    "245-1": "400 Bad request",
    "245-2": "Provided continuation token is not formatted properly",
    "246-0": "<a name=\"57\">57001</a>",
    "246-1": "400 Bad request",
    "246-2": "Provided continuation token is not valid",
    "247-0": "<a name=\"57002\">57002</a>",
    "247-1": "400 Bad request",
    "247-2": "Source location must be specified",
    "248-0": "<a name=\"57003\">57003</a>",
    "248-1": "400 Bad request",
    "248-2": "Destination location must be specified",
    "249-0": "<a name=\"57004\">57004</a>",
    "249-1": "400 Bad request",
    "249-2": "Naming strategy must be specified",
    "250-0": "<a name=\"57005\">57005</a>",
    "250-1": "400 Bad request",
    "250-2": "Found duplicate sources for the same destination",
    "251-0": "<a name=\"57006\">57006</a>",
    "251-1": "400 Bad request",
    "251-2": "Cycle detected (e.g. `copy <a> <b>; copy <b> <a>`)",
    "252-0": "<a name=\"57007\">57007</a>",
    "252-1": "400 Bad request",
    "252-2": "Destination location must be undefined",
    "253-0": "<a name=\"57008\">57008</a>",
    "253-1": "400 Bad request",
    "253-2": "Found duplicate source locations",
    "254-0": "<a name=\"57009\">57009</a>",
    "254-1": "400 Bad request",
    "254-2": "Unable to copy folder to its parent",
    "255-0": "<a name=\"57010\">57010</a>",
    "255-1": "400 Bad request",
    "255-2": "Unable to copy folder to itself or to a subfolder",
    "256-0": "<a name=\"57011\">57011</a>",
    "256-1": "400 Bad request",
    "256-2": "Unable to move folder to its parent",
    "257-0": "<a name=\"57012\">57012</a>",
    "257-1": "400 Bad request",
    "257-2": "Unable to move folder to itself or to a subfolder",
    "258-0": "<a name=\"57013\">57013</a>",
    "258-1": "400 Bad request",
    "258-2": "Provided job origin is not valid",
    "259-0": "<a name=\"57014\">57014</a>",
    "259-1": "400 Bad request",
    "259-2": "Request must not be undefined",
    "260-0": "<a name=\"57015\">57015</a>",
    "260-1": "400 Bad request",
    "260-2": "Unspecified job type",
    "261-0": "<a name=\"57016\">57016</a>",
    "261-1": "400 Bad request",
    "261-2": "Cycle detected (e.g.  `move <a> <b>; move <b> <a>`)",
    "262-0": "<a name=\"57017\">57017</a>",
    "262-1": "400 Bad request",
    "262-2": "Destination must be a folder",
    "263-0": "<a name=\"57018\">57018</a>",
    "263-1": "400 Bad request",
    "263-2": "Invalid file name",
    "264-0": "<a name=\"57019\">57019</a>",
    "264-1": "400 Bad request",
    "264-2": "Invalid folder name",
    "265-0": "<a name=\"57020\">57020</a>",
    "265-1": "400 Bad request",
    "265-2": "Cannot copy project root",
    "266-0": "<a name=\"57021\">57021</a>",
    "266-1": "400 Bad request",
    "266-2": "Destination is not a folder",
    "267-0": "<a name=\"57022\">57022</a>",
    "267-1": "400 Bad request",
    "267-2": "Cannot move project root",
    "268-0": "<a name=\"57023\">57023</a>",
    "268-1": "400 Bad request",
    "268-2": "Job request object must not be undefined",
    "269-0": "<a name=\"57024\">57024</a>",
    "269-1": "400 Bad request",
    "269-2": "Job origin must be specified",
    "270-0": "<a name=\"57025\">57025</a>",
    "270-1": "400 Bad request",
    "270-2": "\"hidden\" property must be specified",
    "271-0": "<a name=\"57026\">57026</a>",
    "271-1": "400 Bad request",
    "271-2": "Incorrect job type",
    "272-0": "",
    "272-1": "",
    "272-2": "",
    "273-0": "**9xxxx**",
    "273-1": "",
    "273-2": "**General validation errors**",
    "274-0": "<a name=\"90000\">90000</a>",
    "274-1": "400 Bad Request",
    "274-2": "Bad request.",
    "275-0": "<a name=\"*90001*\">90001</a>",
    "275-1": "401 Unauthorized",
    "275-2": "Unauthorized.",
    "276-0": "<a name=\"90002\">90002</a>",
    "276-1": "403 Forbidden",
    "276-2": "Forbidden.",
    "277-0": "<a name=\"90003\">90003</a>",
    "277-1": "404 Not Found",
    "277-2": "Not found.",
    "278-0": "<a name=\"90004\">90004</a>",
    "278-1": "503 Server Error",
    "278-2": "Unexpected error occurred.",
    "279-0": "<a name=\"90005\">90005</a>",
    "279-1": "503 Service Unavailable",
    "279-2": "Service unavailable.",
    "280-0": "<a name=\"90006\">90006</a>",
    "280-1": "405 Method Not Allowed",
    "280-2": "Method not allowed.",
    "281-0": "<a name=\"90007\">90007</a>",
    "281-1": "409 Conflict",
    "281-2": "Conflict.",
    "282-0": "<a name=\"90008\">90008</a>",
    "282-1": "415 Unsupported Media Type",
    "282-2": "Unsupported Media Type.",
    "283-0": "<a name=\"90009\">90009</a>",
    "283-1": "500 Server Error",
    "283-2": "An error occurred during the decoding of the request content.",
    "284-0": "<a name=\"90010\">90010</a>",
    "284-1": "501 Not Implemented",
    "284-2": "Not implemented, COPY and DELETE bulk operations are available.",
    "285-0": "<a name=\"90011\">90011</a>",
    "285-1": "400 Bad Request",
    "285-2": "Import failed. Please review your import links and FTP/HTTP server credentials. "
  },
  "cols": 3,
  "rows": 286,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]